CounterPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records.impl.pb, class: CounterPBImpl

Package org.apache.hadoop.mapreduce.v2.api.records.impl.pb

# Class CounterPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterProto>
org.apache.hadoop.mapreduce.v2.api.records.impl.pb.CounterPBImpl

All Implemented Interfaces:
  `Counter`

public class CounterPBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterProto> implements Counter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CounterPBImpl()`
  `CounterPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  `String`
  `getName()`
  `org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterProto`
  `getProto()`
  `long`
  `getValue()`
  `void`
  `setDisplayName(String displayName)`
  `void`
  `setName(String name)`
  `void`
  `setValue(long value)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CounterPBImpl

    public CounterPBImpl()

  - ### CounterPBImpl

    public CounterPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRProtos.CounterProto>`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `Counter`

  - ### setName

    public void setName(String name)
    Specified by:
      `setName` in interface `Counter`

  - ### getValue

    public long getValue()
    Specified by:
      `getValue` in interface `Counter`

  - ### setValue

    public void setValue(long value)
    Specified by:
      `setValue` in interface `Counter`

  - ### getDisplayName

    public String getDisplayName()
    Specified by:
      `getDisplayName` in interface `Counter`

  - ### setDisplayName

    public void setDisplayName(String displayName)
    Specified by:
      `setDisplayName` in interface `Counter`